Page MenuHomePhabricator

Hovercards shouldn't run on editor (when action=edit)
Closed, ResolvedPublic

Description

As an editor, I do not want to see hover cards during the editing process, as they might distract me

As an engineer, I don't want hovercards to appear on editor, as maintaining hovercards on editing is time-consuming

can be seen here: https://en.wikipedia.org/wiki/Henry_VIII_of_England?action=edit

Event Timeline

ovasileva created this task.Sep 1 2016, 8:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2016, 8:41 PM
ovasileva triaged this task as Normal priority.Sep 1 2016, 8:51 PM
ovasileva updated the task description. (Show Details)
TheDJ added a subscriber: TheDJ.Nov 25 2016, 9:29 AM

This seems rather one sided assertion. Where is the evidence that editors don't want this ? (I mean navigation popups runs in edit mode as well).

@TheDJ - good point. The idea was that hovercards (unlike navpopups) are focused more on providing context of an article. However, later they can be expanded to have some of the more editor-focused functionality that navigation popups have. Can you think of some use cases that would make hovercards useful on the editor?

Jdlrobson added a subscriber: Jdlrobson.

Shall we decline this?
Needs more input.

ovasileva closed this task as Resolved.Feb 16 2017, 12:16 PM
ovasileva claimed this task.

@Jdlrobson - resolving this as it is current behavior (previews do not appear when action=edit)